%define uname	LogbookKonni_pi
%define piname	logbookkonni_pi

Name:		opencpn-logbookkonni-plugin
Summary:	Logbook plugin for OpenCPN
Version:	1.4.30
Release:	%mkrel 1
License:	GPLv3+
Group:		Geography
URL:		https://opencpn.org/OpenCPN/plugins/logbookkonni.html
Source0:	https://github.com/rgleason/%{uname}/archive/v%{version}/%{uname}-%{version}.tar.gz
##git clone https://github.com/leamas/opencpn-libs.git
Source1:    opencpn-libs.tar.gz
Source2:	README_Layouts.txt

BuildRequires:	cmake
BuildRequires:	gettext
BuildRequires:	wxgtku3.2-devel
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(tinyxml)

Requires:	opencpn
Provides:	LogbookKonni = %{version}
Provides:	opencpn-logbook-plugin = %{version}-%{release}
Conflicts:	opencpn < 4.0.0-1

%description
The Konni's logbook plugin is fully integrated with the graphical interface
of OpenCPN.

NB: Once the logbook is activated, the LogbookKonni layouts 
must be installed for each user.

See /usr/share/doc/opencpn-logbookkonni-plugin/README_Layouts.txt for
help installing the layouts.

%prep
%autosetup -a1 -n %{uname}-%{version}

%build
cmake -DCMAKE_BUILD_TYPE=Debug -B .
make

%install

cp %{SOURCE2} .

mkdir -p %{buildroot}%{_libdir}/opencpn
mkdir -p %{buildroot}%{_datadir}/opencpn/plugins/%{uname}/data
mkdir -p %{buildroot}%{_datadir}/locale


install -Dpm755 lib%{uname}.so %{buildroot}%{_libdir}/opencpn
cp -r data/ %{buildroot}%{_datadir}/opencpn/plugins/%{uname}/
cp -r ./app/Logbook-1.4-mageia-*/share/locale %{buildroot}%{_datadir}

%files 
%doc README_Layouts.txt
%{_libdir}/opencpn/lib%{uname}.so
%{_datadir}/opencpn/plugins/%{uname}/data/
%{_datadir}/locale


%changelog
* Tue May 30 2023 philippedidier <philippedidier> 1.4.30-1.mga9
+ Revision: 1959940
- new version 1.4.30 built upon wxgtku 3.2

* Sun Jul 10 2022 philippedidier <philippedidier> 1.4.28-2.mga9
+ Revision: 1868288
- New version 1.4.28
- New version

* Sun Apr 03 2022 umeabot <umeabot> 1.4.008-8.mga9
+ Revision: 1842548
- Mageia 9 Mass Rebuild

* Thu Jul 22 2021 barjac <barjac> 1.4.008-7.mga9
+ Revision: 1737353
- set version limit on wxgtku BR
+ philippedidier <philippedidier>
- simplify Sources thanks to Barjac for his skill and wise advices
- corrected URL and Source URL--modified instructions in descrition

* Mon Jul 12 2021 barjac <barjac> 1.4.008-5.mga9
+ Revision: 1735755
- Build with wxgtku3.0 not 3.1

* Fri Jan 01 2021 wally <wally> 1.4.008-4.mga8
+ Revision: 1667713
- rebuild for wxgtk pre 3.1.5 snapshot

* Sun Aug 16 2020 wally <wally> 1.4.008-3.mga8
+ Revision: 1614354
- rebuild for new wxgtk 3.1.4

* Tue Feb 18 2020 daviddavid <daviddavid> 1.4.008-2.mga8
+ Revision: 1539516
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Mon Nov 11 2019 barjac <barjac> 1.4.008-1.mga8
+ Revision: 1459318
- new version 1.4.008

* Sat Jul 13 2019 wally <wally> 1.4.006-2.mga8
+ Revision: 1421018
- rebuild with gtk3 enabled wxgtk 3.1.2

* Wed Mar 27 2019 barjac <barjac> 1.4.006-1.mga7
+ Revision: 1380630
- new version 1.4.006

* Fri Jan 18 2019 barjac <barjac> 1.3.006-1.mga7
+ Revision: 1358003
- new version 1.3.006

* Sun Sep 23 2018 umeabot <umeabot> 1.3.003-3.mga7
+ Revision: 1299996
- Mageia 7 Mass Rebuild

* Sun Jun 24 2018 wally <wally> 1.3.003-2.mga7
+ Revision: 1239509
- fix build on aarch64

* Wed Apr 11 2018 barjac <barjac> 1.3.003-1.mga7
+ Revision: 1217680
- new version 1.3.003

* Sat Jun 03 2017 akien <akien> 1.2.024-3.mga6
+ Revision: 1106112
- Rebuild for wxgtk 3.0.3.1

* Thu Jun 02 2016 daviddavid <daviddavid> 1.2.024-2.mga6
+ Revision: 1019832
- rebuild for wxgtk3.0 built with GTK2

* Tue Mar 15 2016 barjac <barjac> 1.2.024-1.mga6
+ Revision: 991012
- new version 1.2.024

* Sun Feb 21 2016 barjac <barjac> 1.2.023-1.mga6
+ Revision: 975908
- new version 1.2.023

* Tue Feb 16 2016 barjac <barjac> 1.2.018-2.mga6
+ Revision: 962308
- changed buildrequire wxgtku3.0

* Tue Dec 08 2015 barjac <barjac> 1.2.018-1.mga6
+ Revision: 908776
- new package opencpn-logbookkonni-plugin

